<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:tns="http://DigitalData.Services.EDMIService" elementFormDefault="qualified" targetNamespace="http://DigitalData.Services.EDMIService" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Messages" />
  <xs:import namespace="http://schemas.microsoft.com/Message" />
  <xs:import namespace="http://schemas.datacontract.org/2004/07/DigitalData.Modules.EDMI.API" />
  <xs:element name="Heartbeat">
    <xs:complexType>
      <xs:sequence />
    </xs:complexType>
  </xs:element>
  <xs:element name="HeartbeatResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="HeartbeatResult" type="xs:boolean" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="ReturnDatatableFromCache">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="Name" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="FilterExpression" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="SortByColumn" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="ReturnDatatableFromCacheResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q1="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Messages" minOccurs="0" name="ReturnDatatableFromCacheResult" nillable="true" type="q1:TableResult" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="ReturnDatatable_Firebird">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="SQL" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="ReturnDatatable_FirebirdResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q2="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Messages" minOccurs="0" name="ReturnDatatable_FirebirdResult" nillable="true" type="q2:TableResult" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="ReturnScalar_Firebird">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="SQL" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="ReturnScalar_FirebirdResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q3="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Messages" minOccurs="0" name="ReturnScalar_FirebirdResult" nillable="true" type="q3:ScalarResult" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="ExecuteNonQuery_Firebird">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="SQL" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="ExecuteNonQuery_FirebirdResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q4="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Messages" minOccurs="0" name="ExecuteNonQuery_FirebirdResult" nillable="true" type="q4:NonQueryResult" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="ReturnDatatable_MSSQL_IDB">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="SQL" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="ReturnDatatable_MSSQL_IDBResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q5="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Messages" minOccurs="0" name="ReturnDatatable_MSSQL_IDBResult" nillable="true" type="q5:TableResult" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="ReturnScalar_MSSQL_IDB">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="SQL" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="ReturnScalar_MSSQL_IDBResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q6="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Messages" minOccurs="0" name="ReturnScalar_MSSQL_IDBResult" nillable="true" type="q6:ScalarResult" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="ExecuteNonQuery_MSSQL_IDB">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="SQL" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="ExecuteNonQuery_MSSQL_IDBResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q7="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Messages" minOccurs="0" name="ExecuteNonQuery_MSSQL_IDBResult" nillable="true" type="q7:NonQueryResult" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="ReturnDatatable_MSSQL_ECM">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="SQL" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="ReturnDatatable_MSSQL_ECMResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q8="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Messages" minOccurs="0" name="ReturnDatatable_MSSQL_ECMResult" nillable="true" type="q8:TableResult" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="ReturnScalar_MSSQL_ECM">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="SQL" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="ReturnScalar_MSSQL_ECMResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q9="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Messages" minOccurs="0" name="ReturnScalar_MSSQL_ECMResult" nillable="true" type="q9:ScalarResult" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="ExecuteNonQuery_MSSQL_ECM">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="SQL" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="ExecuteNonQuery_MSSQL_ECMResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q10="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Messages" minOccurs="0" name="ExecuteNonQuery_MSSQL_ECMResult" nillable="true" type="q10:NonQueryResult" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="DocumentImportRequest">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="Contents" nillable="true" type="xs:base64Binary" />
        <xs:element minOccurs="0" name="DocumentType" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="FileName" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="ObjectStoreId" type="xs:long" />
        <xs:element minOccurs="0" name="RetentionDays" type="xs:long" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="DocumentImportResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="ObjectId" type="xs:long" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="DocumentStreamRequest">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="ObjectId" type="xs:long" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="DocumentStreamResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q11="http://schemas.microsoft.com/Message" name="FileContents" type="q11:StreamBody" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="FileName" nillable="true" type="xs:string" />
  <xs:element name="DocumentInfoRequest">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="ObjectId" type="xs:long" />
        <xs:element minOccurs="0" name="UserId" type="xs:long" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="DocumentInfoResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q12="http://schemas.datacontract.org/2004/07/DigitalData.Modules.EDMI.API" minOccurs="0" name="FileRight" type="q12:Rights.AccessRight" />
        <xs:element minOccurs="0" name="FullPath" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="DocumentListResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="Datatable" nillable="true">
          <xs:complexType>
            <xs:annotation>
              <xs:appinfo>
                <ActualType Name="DataTable" Namespace="http://schemas.datacontract.org/2004/07/System.Data" xmlns="http://schemas.microsoft.com/2003/10/Serialization/">
                </ActualType>
              </xs:appinfo>
            </xs:annotation>
            <xs:sequence>
              <xs:any minOccurs="0" maxOccurs="unbounded" namespace="http://www.w3.org/2001/XMLSchema" processContents="lax" />
              <xs:any minOccurs="1" namespace="urn:schemas-microsoft-com:xml-diffgram-v1" processContents="lax" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="New_FileStore_Object">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="IDB_OBJ_ID" type="xs:long" />
        <xs:element minOccurs="0" name="pStoreType" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="pDate" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="pExtension" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="pKeepExtension" type="xs:boolean" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="New_FileStore_ObjectResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="New_FileStore_ObjectResult" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="New_IDB_OBJECT">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="KindType" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="pWho" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="pBusinessEntity" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="New_IDB_OBJECTResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="New_IDB_OBJECTResult" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="DocumentImportIDBFORequest">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="Contents" nillable="true" type="xs:base64Binary" />
        <xs:element minOccurs="0" name="pIDBFilePath" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="pIDB_OBJ_ID" type="xs:long" />
        <xs:element minOccurs="0" name="pObjectStoreID" type="xs:int" />
        <xs:element minOccurs="0" name="pWho" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="DocumentImportIDBFOResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="Result" type="xs:boolean" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
</xs:schema>